<?php

declare(strict_types=1);

namespace App\Domain\Maturity\Repository;

use App\Application\DDD\Repository\CRUDRepositoryInterface;
use App\Application\Doctrine\Repository\DataTablesRepository;
use App\Domain\User\Model\Collectivity;

interface Referentiel extends CRUDRepositoryInterface, DataTablesRepository
{
    public function findBy(array $criteria);

    public function findAllWithReport();

    public function findAllByCollectivity(Collectivity $collectivity);
}
